VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::Namespace Interface Reference

The `Namespace` interface provides methods to get information about command line interface (CLI) namespaces. More...

Inherited by vmware::vapi::metadata::cli::NamespaceStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vapi.metadata.cli.NamespaceTypes.Identity > | List ()
| Returns the identifiers of all namespaces registered with the infrastructure.
global::System.Collections.Generic.List < vmware.vapi.metadata.cli.NamespaceTypes.Identity > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all namespaces registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vapi.metadata.cli.NamespaceTypes.Identity > > | ListAsync ()
| Returns the identifiers of all namespaces registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vapi.metadata.cli.NamespaceTypes.Identity > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all namespaces registered with the infrastructure.
vmware.vapi.metadata.cli.NamespaceTypes.Info | Get (vmware.vapi.metadata.cli.NamespaceTypes.Identity identity)
| Retreives information about a namespace including information about children of that namespace.
vmware.vapi.metadata.cli.NamespaceTypes.Info | Get (vmware.vapi.metadata.cli.NamespaceTypes.Identity identity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retreives information about a namespace including information about children of that namespace.
global::System.Threading.Tasks.Task < vmware.vapi.metadata.cli.NamespaceTypes.Info > | GetAsync (vmware.vapi.metadata.cli.NamespaceTypes.Identity identity)
| Retreives information about a namespace including information about children of that namespace.
global::System.Threading.Tasks.Task < vmware.vapi.metadata.cli.NamespaceTypes.Info > | GetAsync (vmware.vapi.metadata.cli.NamespaceTypes.Identity identity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retreives information about a namespace including information about children of that namespace.
string | Fingerprint ()
| Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.
string | Fingerprint (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.
global::System.Threading.Tasks.Task < string > | FingerprintAsync ()
| Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.
global::System.Threading.Tasks.Task < string > | FingerprintAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.

## Detailed Description

The `Namespace` interface provides methods to get information about command line interface (CLI) namespaces.

## Member Function Documentation

string vmware::vapi::metadata::cli::Namespace::Fingerprint | ( |  | ) |

Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for namespaces has been modified on the server.

Returns:
  Fingerprint of all the namespace metadata present on the server.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

string vmware::vapi::metadata::cli::Namespace::Fingerprint | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for namespaces has been modified on the server.

Returns:
  Fingerprint of all the namespace metadata present on the server.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::cli::Namespace::FingerprintAsync | ( |  | ) |

Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for namespaces has been modified on the server.

Returns:
  Fingerprint of all the namespace metadata present on the server.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::cli::Namespace::FingerprintAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the aggregate fingerprint of all the namespace metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for namespaces has been modified on the server.

Returns:
  Fingerprint of all the namespace metadata present on the server.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

vmware.vapi.metadata.cli.NamespaceTypes.Info vmware::vapi::metadata::cli::Namespace::Get | ( | vmware.vapi.metadata.cli.NamespaceTypes.Identity | identity | ) |

Retreives information about a namespace including information about children of that namespace.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a namespace corresponding to identity doesn't exist.

Parameters:

  identity | Identifier of the namespace for which to retreive information.

Returns:
  Information about the namespace including information about child of that namespace.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

vmware.vapi.metadata.cli.NamespaceTypes.Info vmware::vapi::metadata::cli::Namespace::Get | ( | vmware.vapi.metadata.cli.NamespaceTypes.Identity | identity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retreives information about a namespace including information about children of that namespace.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a namespace corresponding to identity doesn't exist.

Parameters:

  identity | Identifier of the namespace for which to retreive information.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the namespace including information about child of that namespace.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.cli.NamespaceTypes.Info> vmware::vapi::metadata::cli::Namespace::GetAsync | ( | vmware.vapi.metadata.cli.NamespaceTypes.Identity | identity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retreives information about a namespace including information about children of that namespace.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a namespace corresponding to identity doesn't exist.

Parameters:

  identity | Identifier of the namespace for which to retreive information.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the namespace including information about child of that namespace.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.cli.NamespaceTypes.Info> vmware::vapi::metadata::cli::Namespace::GetAsync | ( | vmware.vapi.metadata.cli.NamespaceTypes.Identity | identity | ) |

Retreives information about a namespace including information about children of that namespace.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a namespace corresponding to identity doesn't exist.

Parameters:

  identity | Identifier of the namespace for which to retreive information.

Returns:
  Information about the namespace including information about child of that namespace.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

global::System.Collections.Generic.List<vmware.vapi.metadata.cli.NamespaceTypes.Identity> vmware::vapi::metadata::cli::Namespace::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers of all namespaces registered with the infrastructure.

Returns:
  Identifiers of all the namespaces.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

global::System.Collections.Generic.List<vmware.vapi.metadata.cli.NamespaceTypes.Identity> vmware::vapi::metadata::cli::Namespace::List | ( |  | ) |

Returns the identifiers of all namespaces registered with the infrastructure.

Returns:
  Identifiers of all the namespaces.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vapi.metadata.cli.NamespaceTypes.Identity> > vmware::vapi::metadata::cli::Namespace::ListAsync | ( |  | ) |

Returns the identifiers of all namespaces registered with the infrastructure.

Returns:
  Identifiers of all the namespaces.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vapi.metadata.cli.NamespaceTypes.Identity> > vmware::vapi::metadata::cli::Namespace::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers of all namespaces registered with the infrastructure.

Returns:
  Identifiers of all the namespaces.

Implemented in vmware::vapi::metadata::cli::NamespaceStub.

The documentation for this interface was generated from the following file:

- Namespace.cs